<h2 mat-dialog-title>{{title}} Customer</h2>

<mat-dialog-content [formGroup]="form">
  
    <mat-form-field>
        <input matInput
                placeholder="Full Name" type="text"
               formControlName="name" required>
        <mat-error *ngIf="!form.get('name')!.valid && form.get('name')!.touched">Name is required.</mat-error>
    </mat-form-field>
    <mat-form-field>
        <input matInput
                placeholder="Email Address"
               formControlName="email" type="email" required>
        <mat-error *ngIf="!form.get('email')!.valid && form.get('email')!.touched">Email Address is required.</mat-error>
    </mat-form-field>

    <mat-form-field>
        <input matInput
                placeholder="Contact Number" type="text"
               formControlName="contactNumber" required>
        <mat-error *ngIf="!form.get('contactNumber')!.valid && form.get('contactNumber')!.touched">Contact Number is required.</mat-error>
    </mat-form-field>
 
    <mat-form-field>
        <input matInput
                placeholder="Address" type="string"
               formControlName="address" required>
        <mat-error *ngIf="!form.get('address')!.valid && form.get('address')!.touched">Address is required.</mat-error>
    </mat-form-field>
</mat-dialog-content>

<mat-dialog-actions>
    <button mat-raised-button color="basic"  (click)="close()">Close</button>
    <button mat-raised-button color="primary" (click)="submit()">Save</button>
</mat-dialog-actions>